Apache Tomcat 6.0.53

## org.apache.tomcat.util.log
Enum UserDataHelper.Mode

    java.lang.Object
      java.lang.Enum<UserDataHelper.Mode>
          org.apache.tomcat.util.log.UserDataHelper.Mode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<UserDataHelper.Mode>

Enclosing class:
  UserDataHelper

    public static enum UserDataHelper.Mode

extends java.lang.Enum<UserDataHelper.Mode>

Log mode for the next log message.

Enum Constant Summary
`DEBUG`
`INFO`
`INFO_THEN_DEBUG`

Method Summary
`static UserDataHelper.Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static UserDataHelper.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEBUG

    public static final UserDataHelper.Mode DEBUG

### INFO_THEN_DEBUG

    public static final UserDataHelper.Mode INFO_THEN_DEBUG

### INFO

    public static final UserDataHelper.Mode INFO

Method Detail

### values

    public static final UserDataHelper.Mode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(UserDataHelper.Mode c : UserDataHelper.Mode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static UserDataHelper.Mode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.